Subject: bug#7728: 24.0.50; GDB backtrace from abort

From: "Drew Adams" <[email-masked]>
Date: Wed, 12 Jan 2011 07:05:55 -0800

>        /* Arrange *not* to restore point in the buffer that was
> 	 current when the window configuration was saved.  */
>        if (EQ (XWINDOW (data->current_window)->buffer, 
> new_current_buffer))
> 	set_marker_restricted (XWINDOW (data->current_window)->pointm,
> 			       make_number (old_point),
> 			       XWINDOW (data->current_window)->buffer);
>        Fselect_window (data->current_window, Qnil);
> 
> so apparently the frame of data->current_window is _not_ the selected
> frame.  Would you select the window and keep the old frame selected?

Believe me, I am not pretending that I actually follow this or have anything
germane to add.  But in the case in question, I can say what I was doing at the
time:

During completion with a standalone minibuffer, I clicked mouse-2 on a
completion candidate in standalone frame *Completions* (which has its input
redirected to the standalone minibuffer).  *Completions* was no doubt _not_ the
selected window.  Probably the minibuffer window was selected at the time.

No idea whether that helps.  If not, ignore.